Package wx :: Class WindowCreateEvent

[frames | no frames]

## Type WindowCreateEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        WindowCreateEvent

The EVT_WINDOW_CREATE event is sent as soon as the window object (the underlying GUI object) exists.

Method Summary
WindowCreateEvent | ``__init__`(self, win)` The EVT_WINDOW_CREATE event is sent as soon as the window object (the underlying GUI object) exists.
Window | ``GetWindow`(self)` Returns the window that this event refers to.

Property Summary
| `thisown`: The membership flag
| `Window`: See `GetWindow`

Method Details

### __init__(self, win=None)
(Constructor)

The EVT_WINDOW_CREATE event is sent as soon as the window object (the underlying GUI object) exists.

  Parameters:
    `win`
    (type=Window)

  Returns:
    WindowCreateEvent
  Overrides:
    `wx.CommandEvent.__init__`

### GetWindow(self)

Returns the window that this event refers to.

  Returns:
    Window

Property Details

### thisown

The membership flag

### Window

See `GetWindow`

  Get Method:
    `GetWindow`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:20 2007 | http://epydoc.sf.net